org.eclipse.wst.jsdt.chromium

## Interface BrowserTab

All Superinterfaces:
  JavascriptVm

    public interface BrowserTab
    extends JavascriptVm

A lightweight abstraction of a remote Browser tab. Each browser tab corresponds to a Javascript Virtual Machine and is_a {code JavascriptVm}.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.wst.jsdt.chromium.JavascriptVm

`JavascriptVm.BreakpointCallback, JavascriptVm.ExceptionCatchMode, JavascriptVm.ListBreakpointsCallback, JavascriptVm.ScriptsCallback, JavascriptVm.SuspendCallback`

### Method Summary

All Methods Instance Methods Abstract Methods
`Browser` `getBrowser()`
`java.lang.String` `getUrl()`

### Methods inherited from interface org.eclipse.wst.jsdt.chromium.JavascriptVm

`detach, enableBreakpoints, getBreakpointTypeExtension, getFunctionScopeExtension, getIgnoreCountBreakpointExtension, getRestartFrameExtension, getScripts, getVersion, isAttached, listBreakpoints, setBreakOnException, setBreakpoint, suspend`

### Method Detail

#### getBrowser

    Browser getBrowser()

Returns:
  the "parent" Browser instance

#### getUrl

    java.lang.String getUrl()

Returns:
  a current URL of the corresponding browser tab